%global git_commit e85c68d9f84f955cbe9f3d4c730561580f6cfcf9
%global git_date 20130403

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://git.osmocom.org/gr-osmosdr
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

%{?filter_setup:
%filter_provides_in %{python_sitearch}/osmosdr/.*\.so$
%filter_setup
}

Name:             gr-osmosdr
URL:              http://sdr.osmocom.org/trac/wiki/GrOsmoSDR
Version:          0.0.1
Release:          3.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python2-devel, gnuradio-devel, boost-devel, doxygen
BuildRequires:    graphviz, swig, rtl-sdr-devel
#BuildRequires:    libusb1-devel
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Engineering
Summary:          Common software API for various radio hardware
Source0:          %{name}-%{version}-%{git_suffix}.tar.bz2
# Patch sent upstream
Patch0:           gr-osmosdr-0.0.1-doxygen-fix.patch
# Patch sent upstream
Patch1:           gr-osmosdr-0.0.1-docdir-override.patch

%description
Primarily gr-osmosdr supports the OsmoSDR hardware, but it also
offers a wrapper functionality for FunCube Dongle,  Ettus UHD
and rtl-sdr radios. By using gr-osmosdr source you can take
advantage of a common software api in your application(s)
independent of the underlying radio hardware.

%package devel
Summary:          Development files for gr-osmosdr
Group:            Applications/Engineering
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gr-osmosdr.

%package doc
Summary:        Documentation files for gr-osmosdr
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation files for gr-osmosdr.

%prep
%setup -q
%patch0 -p1 -b .doxygen-fix
%patch1 -p1 -b .docdir-override

%build
mkdir build
cd build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name}-%{version} ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

# Install examples
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/examples
install -p -m 0644 ../apps/*.grc %{buildroot}%{_docdir}/%{name}-%{version}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%exclude %{_docdir}/%{name}-%{version}/html
%exclude %{_docdir}/%{name}-%{version}/xml
%exclude %{_docdir}/%{name}-%{version}/examples
%doc AUTHORS COPYING
%{_libdir}/*.so.*
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/osmosdr
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_docdir}/%{name}-%{version}/html
%doc %{_docdir}/%{name}-%{version}/xml
%doc %{_docdir}/%{name}-%{version}/examples

%changelog
* Tue May 28 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-3.20130403gite85c68d9
- Rebuilt for new gnuradio

* Tue Apr  9 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-2.20130403gite85c68d9
- Packaged doxygen docs and examples
- Various improvements according to comments in the merge review

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-1.20130403gite85c68d9
- Initial version
